com.jscape.inet.gateway.operation.email

## Class EmailServiceConfiguration

- java.lang.Object
- - com.jscape.inet.gateway.operation.email.EmailServiceConfiguration

-     public class EmailServiceConfiguration
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EmailServiceConfiguration.ConnectionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailServiceConfiguration()`
    `EmailServiceConfiguration(EmailServiceConfiguration that)`
    `EmailServiceConfiguration(TransportAddress address, EmailServiceConfiguration.ConnectionType connectionType, java.lang.String username, java.lang.String password, java.lang.String sender, java.lang.String debugFile, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransportAddress` | `getAddress()`
    `EmailServiceConfiguration.ConnectionType` | `getConnectionType()`
    `java.lang.String` | `getDebugFile()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getSender()`
    `java.lang.String` | `getUsername()`
    `int` | `getVersion()`
    `void` | `setAddress(TransportAddress value)`
    `void` | `setConnectionType(EmailServiceConfiguration.ConnectionType value)`
    `void` | `setDebugFile(java.lang.String value)`
    `void` | `setPassword(java.lang.String value)`
    `void` | `setSender(java.lang.String value)`
    `void` | `setUsername(java.lang.String value)`
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration(TransportAddress address,
                                           EmailServiceConfiguration.ConnectionType connectionType,
                                           java.lang.String username,
                                           java.lang.String password,
                                           java.lang.String sender,
                                           java.lang.String debugFile,
                                           int version)

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration(EmailServiceConfiguration that)

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration()

  - ### Method Detail

    - #### getAddress

          public TransportAddress getAddress()

    - #### setAddress

          public void setAddress(TransportAddress value)

    - #### getConnectionType

          public EmailServiceConfiguration.ConnectionType getConnectionType()

    - #### setConnectionType

          public void setConnectionType(EmailServiceConfiguration.ConnectionType value)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String value)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String value)

    - #### getSender

          public java.lang.String getSender()

    - #### setSender

          public void setSender(java.lang.String value)

    - #### getDebugFile

          public java.lang.String getDebugFile()

    - #### setDebugFile

          public void setDebugFile(java.lang.String value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved